<ng-container *transloco="let t">
  <h2
    mat-dialog-title
    class="primary-title dialog-header-spacing">
    {{t('organization_forms.edit_details')}}
  </h2>
  <form
    [formGroup]="detailsForm"
    (ngSubmit)="onSubmit()">
    <mat-dialog-content class="mat-typography dialog-content-text-color content-padding-top">
      <div class="row-container">
        <mat-form-field class="grow-one">
          <mat-label>
            {{t('organization_forms.description_german')}}
          </mat-label>
          <textarea
            matInput
            formControlName="description_de"></textarea>
          <mat-error *ngIf="descriptionGerman.hasError('required')">
            {{t('organization_forms.description_german')}}{{t('general_forms.required')}}
          </mat-error>
          <mat-error *ngIf="descriptionGerman.hasError('maxlength')">
            {{t('general_forms.max_form_length', {maxLength: MAX_DESCRIPTION_LENGTH})}}
          </mat-error>
        </mat-form-field>
      </div>
      <div class="row-container">
        <mat-form-field class="grow-one">
          <mat-label>
            {{t('organization_forms.description_english')}}
          </mat-label>
          <textarea
            matInput
            formControlName="description_en"></textarea>
          <mat-error *ngIf="descriptionEnglish.hasError('required')">
            {{t('organization_forms.description_english')}}{{t('general_forms.required')}}
          </mat-error>
          <mat-error *ngIf="descriptionEnglish.hasError('maxlength')">
            {{t('general_forms.max_form_length', {maxLength: MAX_DESCRIPTION_LENGTH})}}
          </mat-error>
        </mat-form-field>
      </div>
      <div class="row-container">
        <section
          class="grow-one"
          formArrayName="categories">
          <mat-checkbox
            *ngFor="let category of ORGANIZATION_CATEGORY_SELECTION; index as i"
            [formControlName]="i"
            color="primary">
            {{'organization_categories.'+category|transloco}}
          </mat-checkbox>
          <p class="hint" *ngIf="!categoriesEditable">
            {{t('organization_forms.how_to_request_category')}}
          </p>
          <mat-error
            *ngIf="categoriesEditable"
            class="hint"
            [ngClass]="categories.hasError('atLeastOne') ? 'show' : 'hide'">
            {{t('general_forms.at_least_one_category')}}
          </mat-error>
        </section>
      </div>
      <section class="row-container">
        <mat-checkbox
          color="primary"
          formControlName="is_user_count_public">
          {{t('organization_forms.show_user_count')}}
        </mat-checkbox>
      </section>
    </mat-dialog-content>
    <mat-divider></mat-divider>
    <div class="button-container">
      <button
        mat-stroked-button
        color="warn"
        class="round-button stroked-button-border-color"
        [mat-dialog-close]="undefined">
        {{t('general_forms.cancel')}}
      </button>
      <button
        mat-flat-button
        color="primary"
        class="round-button"
        type="submit"
        [disabled]="detailsForm.invalid">
        {{t('general_forms.save')}}
      </button>
    </div>
  </form>
</ng-container>
